Create a webhook filter
curl --request POST \
--url https://caliper.alpha-1edtech.ai/webhook-filters/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookId": "123e4567-e89b-12d3-a456-426614174000",
"filterKey": "sensor",
"filterValue": "sensor123",
"filterType": "string",
"filterOperation": "eq",
"active": true
}
'import requests
url = "https://caliper.alpha-1edtech.ai/webhook-filters/"
payload = {
"webhookId": "123e4567-e89b-12d3-a456-426614174000",
"filterKey": "sensor",
"filterValue": "sensor123",
"filterType": "string",
"filterOperation": "eq",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookId: '123e4567-e89b-12d3-a456-426614174000',
filterKey: 'sensor',
filterValue: 'sensor123',
filterType: 'string',
filterOperation: 'eq',
active: true
})
};
fetch('https://caliper.alpha-1edtech.ai/webhook-filters/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filter": {
"webhookId": "123e4567-e89b-12d3-a456-426614174000",
"filterKey": "sensor",
"filterValue": "sensor123",
"filterType": "string",
"filterOperation": "eq",
"active": true,
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"deletedAt": "2021-01-01T00:00:00.000Z"
}
}{
"status": "<string>",
"message": "<string>",
"errors": "<unknown>"
}Webhook Filters
Create a webhook filter
Creates a new webhook filter
POST
/
webhook-filters
/
Create a webhook filter
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The webhook filter to create
The unique identifier for the webhook, in UUID format
Example:
"123e4567-e89b-12d3-a456-426614174000"
The key to filter on
Example:
"sensor"
The value to filter on
Example:
"sensor123"
The type of the filter value
Available options:
string, number, boolean Example:
"string"
The operation to perform on the filter value
Available options:
eq, neq, gt, gte, lt, lte, contains, notContains, in, notIn, startsWith, endsWith, regexp Example:
"eq"
Whether the filter is active
Example:
true
Response
Webhook filter created successfully
Show child attributes
Show child attributes
⌘I